import { FormattedMessage } from 'react-intl';
import * as Petrus from '@ackee/petrus';

import { useAppDispatch, useAppSelector } from 'hooks';
import { userEmailSelector } from '../services/selectors';

function AuthContent() {
    const dispatch = useAppDispatch();
    const userEmail = useAppSelector(userEmailSelector);

    return (
        <>
            <div>Signed in user: {userEmail}</div>
            <button type="button" onClick={() => dispatch(Petrus.logoutRequest())}>
                <FormattedMessage id="logout" />
            </button>
        </>
    );
}

export default AuthContent;
