import { LOGIN_SUCCESS, LOGIN_FAILURE, loginRequest } from '@ackee/petrus';
import { put, take, takeLeading } from 'redux-saga/effects';
import * as logger from 'config/loglevel';

import { login } from '../actions';

function* handleLoginForm(action: ReturnType<typeof login.submit>) {
    yield put(loginRequest(action.payload));

    const result = yield take([LOGIN_SUCCESS, LOGIN_FAILURE]);

    if (result.type === LOGIN_SUCCESS) {
        yield put(login.submitSuccess());
    } else {
        logger.error(result.error);
        yield put(login.submitFailure('login.failed'));
    }
}

export default function* () {
    yield takeLeading(login.submit.toString(), handleLoginForm);
}
