import type { ReactNode } from 'react';
import ConfigProvider from 'antd/es/config-provider';
import type { Locale as AntdLocaleData } from 'antd/es/locale-provider';
import { translateSelector } from '@ackee/jerome';
import { useAppSelector } from 'hooks';

export interface LocalizationsAntdProps {
    antdLocaleData: Record<string, AntdLocaleData>;
    children: ReactNode;
}

export const LocalizationsAntd = ({ antdLocaleData, children }: LocalizationsAntdProps) => {
    const { locale } = useAppSelector(translateSelector);

    return <ConfigProvider locale={antdLocaleData[locale]}>{children}</ConfigProvider>;
};
