import { maxTagCount } from '../validators';

describe('validators', () => {
    describe('maxTagCount', () => {
        it('returns true for valid value', () => {
            const validate = maxTagCount(2);

            expect(validate('tag1 tag2')).toBeTruthy();
        });

        it('returns false for invalid value', () => {
            const validate = maxTagCount(2);

            expect(validate('tag1 tag2 tag3')).toBeFalsy();
        });

        it('does not count extra whitespace', () => {
            const validate = maxTagCount(2);

            expect(validate(' tag1    tag2  ')).toBeTruthy();
        });
    });
});
