import type { ReactNode } from 'react';
// @use-antd-module-begin
import { Spin as AntdSpin } from 'antd';
// @use-antd-module-end

import { useFelaEnhanced } from 'hooks';
import type { RulesExtend } from 'styles';

import * as felaRules from './Loader.rules';

export interface LoaderProps {
    show: boolean;
    children?: ReactNode;
    inline?: boolean;
    extend?: RulesExtend<typeof felaRules>;
}

const Loader = ({ show, children = null, inline = false, extend }: LoaderProps) => {
    const { styles } = useFelaEnhanced(felaRules, { extend, inline });

    return show ? (
        <div className={styles.loader}>
            {/* // @use-antd-module-begin */}
            <AntdSpin />
            {/* // @use-antd-module-end */}
            Loading...
        </div>
    ) : (
        <>{children}</>
    );
};

export default Loader;
